unit FReadForm;

interface

function FReadFormatedString(var F: TextFile; Len: Integer): String;
function FReadFormatedReal(var F: TextFile;
                           Len: Integer; var Value: Extended): String;
function FReadFormatedInt(var F: TextFile;
                           Len: Integer; var Value: Integer): String;

implementation

function FReadFormatedString(var F: TextFile; Len: Integer): String;
var S: String; C: Char; P: Integer;
begin
  S := ''; P := 1;
  while P <= Len do
     if EOLn(F) then begin ReadLn(F); S := ''; P := 1 end
     else begin Read(F, C); S := S + C; Inc(P) end;
  Result := S
end;

function FReadFormatedReal(var F: TextFile;
                           Len: Integer; var Value: Extended): String;
var C: Integer;
begin
  Result := FReadFormatedString(F, Len);
  Val(Result, Value, C);
end;

function FReadFormatedInt(var F: TextFile;
                           Len: Integer; var Value: Integer): String;
var C: Integer;
begin
  Result := FReadFormatedString(F, Len);
  Val(Result, Value, C);
end;

end.
