unit NumFormatDialogUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, Buttons, NumStrCt;

type
  TNumFormatDialog = class(TForm)
    Label1: TLabel;
    Dec: TEdit;
    Label2: TLabel;
    FType: TComboBox;
    Label3: TLabel;
    Edit1: TEdit;
    Press: TUpDown;
    Label4: TLabel;
    Edit2: TEdit;
    FWidth: TUpDown;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute(AFormat: TNumStringFormat): Boolean;
  end;

var
  NumFormatDialog: TNumFormatDialog;

implementation

{$R *.dfm}

function TNumFormatDialog.Execute(AFormat: TNumStringFormat): Boolean;
begin
  Application.CreateForm(TNumFormatDialog, NumFormatDialog);
  with NumFormatDialog, AFormat do
   begin
     Dec.Text := DecSeparator;
     FType.ItemIndex := Ord(FormatType);
     Press.Position := Pressigion;
     FWidth.Position := Width
   end;
  if NumFormatDialog.ShowModal = mrOk then
  with NumFormatDialog, AFormat do
   begin
     DecSeparator := Dec.Text[1];
     case FType.ItemIndex of
      1: FormatType := ffExponent;
      2: FormatType := ffFixed;
      3: FormatType := ffNumber;
      4: FormatType := ffCurrency;
      else FormatType := ffGeneral;
     end;
     Pressigion := Press.Position;
     Width := FWidth.Position;
     Result := True;
   end
  else Result := False
end;

end.
